# eric7.UI.Previewers.PreviewerQSS

Module implementing a previewer widget for Qt style sheet files.

### Global Attributes

None

### Classes

PreviewerQSS | Class implementing a previewer widget for Qt style sheet files.

### Functions

None

## PreviewerQSS

Class implementing a previewer widget for Qt style sheet files.

### Derived from

QWidget, Ui_PreviewerQSS

### Class Attributes

None

### Class Methods

None

### Methods

PreviewerQSS | Constructor
on_checkBox_stateChanged | Private slot to synchronize the checkbox state.
on_styleIconsPathPicker_textChanged | Private slot handling a change of the style icons path.
processEditor | Public slot to process an editor's text.

### Static Methods

None

#### PreviewerQSS (Constructor)

PreviewerQSS(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### PreviewerQSS.on_checkBox_stateChanged

on_checkBox_stateChanged(state)

Private slot to synchronize the checkbox state.

state (int)
  state of the enabled check box

#### PreviewerQSS.on_styleIconsPathPicker_textChanged

on_styleIconsPathPicker_textChanged(txt)

Private slot handling a change of the style icons path.

txt (str)
  name of the style icons directory

#### PreviewerQSS.processEditor

processEditor(editor=None)

Public slot to process an editor's text.

editor
  editor to be processed (Editor)

Up